Subject: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling

From: Andrea Corallo <[email-masked]>
Date: Fri, 20 Nov 2020 08:35:49 +0000

Stefan Kangas <[email-masked]> writes:

> Severity: minor
>
> Steps to reproduce, on the native-comp branch:
>
> 0. rm -rf ~/.emacs.d/eln-cache
> 1. emacs -Q
> 2. C-x C-c
> 3. Press "y" (I am sure I want to quit)
>
> A prompt is now shown with this text:
> "Active processes exist; kill them and exit anyway? (y or n) "
>
> The processes are all native-comp processes.
>
> Expected result: No prompt is shown.  The native-comp processes are
> recognized and killed automatically.

Hi Stefan,

I agree this would be nice to have.

I'm a little underwater ATM as I'm trying to progress on other features,
fill free to pick it up if you feel/like.

Thanks

  Andrea